## DzlPreferencesBin

DzlPreferencesBin

## Properties

char * | keywords | Read / Write / Construct Only
char * | path | Read / Write / Construct Only
int | priority | Read / Write / Construct Only
char * | schema-id | Read / Write / Construct Only

## Signals

void | preference-activated | Run Last

## Types and Values

#define | DZL_TYPE_PREFERENCES_BIN
struct | DzlPreferencesBinClass
| DzlPreferencesBin

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── DzlPreferencesBin
                            ├── DzlPreferencesEntry
                            ├── DzlPreferencesFileChooserButton
                            ├── DzlPreferencesFontButton
                            ├── DzlPreferencesSpinButton
                            ╰── DzlPreferencesSwitch

## Implemented Interfaces

DzlPreferencesBin implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

## Types and Values

### DZL_TYPE_PREFERENCES_BIN

    #define DZL_TYPE_PREFERENCES_BIN (dzl_preferences_bin_get_type())

### struct DzlPreferencesBinClass

    struct DzlPreferencesBinClass {
      GtkBinClass parent_class;

      void     (*connect)    (DzlPreferencesBin *self,
                              GSettings         *settings);
      void     (*disconnect) (DzlPreferencesBin *self,
                              GSettings         *settings);
      gboolean (*matches)    (DzlPreferencesBin *self,
                              DzlPatternSpec    *spec);

      gpointer _reserved1;
      gpointer _reserved2;
      gpointer _reserved3;
      gpointer _reserved4;
      gpointer _reserved5;
      gpointer _reserved6;
      gpointer _reserved7;
      gpointer _reserved8;
    };

### DzlPreferencesBin

    typedef struct _DzlPreferencesBin DzlPreferencesBin;

## Property Details

### The `“keywords”` property

      “keywords”                 char *

Search keywords for the widget.

Owner: DzlPreferencesBin

Flags: Read / Write / Construct Only

Default value: NULL

### The `“path”` property

      “path”                     char *

Path.

Owner: DzlPreferencesBin

Flags: Read / Write / Construct Only

Default value: NULL

### The `“priority”` property

      “priority”                 int

The widget priority within the group.

Owner: DzlPreferencesBin

Flags: Read / Write / Construct Only

Default value: 0

### The `“schema-id”` property

      “schema-id”                char *

Schema Id.

Owner: DzlPreferencesBin

Flags: Read / Write / Construct Only

Default value: NULL

## Signal Details

### The `“preference-activated”` signal

    void
    user_function (DzlPreferencesBin *dzlpreferencesbin,
                   gpointer           user_data)

Flags: Run Last